/*========= Careers CSS Document =========*/

/* Import baseline CSS */
@import "/Portals/75/Landing Pages/landing-baseline-px.css";

:root{
	--career-primary-blue: #152365;
	--career-secondary-light-blue: #dfe9f1;
	--career-box-background: #eff4f8;
	--career-bold-blue: #00548F;
	--career-button-main: #0075c9;
	--career-button-main-dark: #00548F;
	--career-link-blue: #0075c9;
	--career-link-light-blue: #4994E3;
	--career-bullet-primary: #0075c9;
	--career-nav-headers: #2196ea;
}

.wrapper-main-px {
    max-width: 1412px;
}
h1 {
   font-size: 2.5em;
   font-family: 'Roboto-Black', sans-serif;
   /*word-wrap: normal;*/
}
h2 {
   font-size: 2em;
   font-family: 'Roboto-Black', sans-serif;
   /*word-wrap: normal;*/
}
h3 {
   font-size: 1.8em;
   font-family: 'Roboto-Bold', sans-serif;
   /*word-wrap: normal;*/
}
h4 {
   font-size: 1.5em;
   font-family: 'Roboto-Bold', sans-serif;
   /*word-wrap: normal;*/
}
.upper-heading2 {
	font-size: 1em;
	text-transform: uppercase;
}
.match-h2-style {
	font-size: 2em;
    font-family: 'Roboto-Black', sans-serif;
}
.boxes-image-scale-small {
	padding: 10px;
	max-width: 140px;
}
/* All headers in a section */
.career-blue-headings h1, .career-blue-headings h2, .career-blue-headings h3, .career-blue-headings h4 {
	color: var(--career-bold-blue);
}
/* Change color or specific header/text */
.career-blue-text {
	color: var(--career-bold-blue);
}
/* Roboto-Bold */
.Roboto-bold-section p {
   font-family: 'Roboto-Bold', sans-serif;
}
.animate .btn {
    border-radius: 8px;
}
/* Blue links for light backgrounds */
.blue-txt-link a:link, .blue-txt-link a:visited {
   color: var(--career-link-blue);
}
/* Blue links for dark backgrounds */
.blue-txt-link-light a:link, .blue-txt-link-light a:visited {
	color: var(--career-link-light-blue);
}
/* Dark blue text for li */
.style-darkblue-text ul li {
  color: #122635;
}
/* Blue bullets for list */
.list-bullets-blue li::marker {
	color: var(--career-bullet-primary);
}
/* Increase margin of paragraph of List elements */
.list-intro-text {
	margin-top: 24px;
}
/* Breadcrumbs */
/*.skin-breadcrumb-container a:link, a:visited
{
	color: var(--career-link-blue);
	text-decoration: underline;
}
.skin-breadcrumb-container a:hover, a:active
{
	color: var(--career-link-blue);
	text-decoration: none;
}*/

/*=========== Custom Careers top and bottom margins/padding ===========*/
.wrapper-sections, .wrapper-text-body, .wrapper-boxes-text {
    margin-top: 75px;
	margin-bottom: 75px;
}
.wrapper-sections-inset, .wrapper-text-body-inset, .wrapper-boxes-text-inset {
    padding-top: 75px;
    padding-bottom: 75px;
}
/* Custom Career Buttons*/
.animate .btn {
	font-family: 'Roboto-Bold', sans-serif;
	font-size: 1.5rem;
}
/* Custom Blue Button */
.animate .btn-blue, .animate .btn-blue:visited {
	background-color: var(--career-button-main);
	border: 1px solid var(--career-button-main);
	padding-left: 28px;
    padding-right: 28px;
    padding-top: 14px;
    padding-bottom: 14px;
}
.animate .btn-blue:hover {
	background-color: var(--career-button-main-dark);
	color: #ffffff;
}
.animate .btn-blue:active, .animate .btn-blue:focus {
    background-color: var(--career-button-main-dark);
	color: #ffffff;
	/* Remove bolding */
	font-weight: 400;
}
/* Custom Blue Transparent Button */
.animate .btn-blue-ghost, .animate .btn-blue-ghost:visited {
	padding-left: 28px;
    padding-right: 28px;
    padding-top: 14px;
    padding-bottom: 14px;
}
/* Add margins to buttons inside text sections */
.wrapper-text-body .animate {
	margin-top: 30px;
}
.careers-main-hero-banner h1 {
    font-family: 'Roboto-Black', sans-serif;
    margin: 10px auto;
	text-transform: uppercase;
}

/* Banner with photo background and content on right side */
.banner-cont-right .sections {
	justify-content: right;
}
/* Banner with photo background and content on left side */
.banner-cont-left .sections {
	justify-content: left;
}

/* This class modifies "contains-images" class for use with icons */
.careers-contains-icons h3 {
	font-family: 'Roboto-Bold', sans-serif;
}
.careers-contains-icons .inner-item {
   flex-basis: 25%;
   padding: 36px;
   min-width: 280px;
}
.careers-contains-icons h4 {
	text-align: center;
}
.careers-contains-icons .boxes-text .animate {
	margin-top: 30px;
}

/* Sections with content overlapping image */
.wrapper-overlap-full .wrapper-sections {
	margin: 0px;
}
.sect-overlaps .section-right-half {
	margin-right: 36px;
	margin-left: 36px;
}
.sect-overlaps .section-left-half {
	height: 450px;
	margin-right: 0px;
}
.sect-overlaps img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}
/* Keep a section 50% until md width (keeps text inside background image/color) */
.leftbox-medium {
	width: 50%;
}

/* Horizontal icons */
.careers-icon-list .inner-item {
	flex-basis: 15%;
	padding: 9px;
	margin: 16px;
	min-width: 160px;
}
.stack-section .topbox
{
  width: 100%;
}
.stack-section .bottombox
{
  width: 100%;
}
.inner-wrapper-title
{
	margin-bottom: 50px;
}
.inner-wrapper-footer
{
	margin-top: 75px;
}
.add-inner-border
{
	padding-top: 75px;
	border-top: 1px solid #002A3A;
}
/* Narrow div and center (i.e. inner title/footer sections) */
.inner-section-narrow
{
	max-width: 1000px;
	margin-left: auto;
	margin-right: auto;
}
/* Narrow flex section */
.section-narrow-fixed
{
	max-width: 1000px;
}
/* Adds margins for sections that do not have header tags */
.minus-headers-sections .inner-top-section
{
	margin-bottom: 20px
}
.color-box-section
{
	display: flex;
	background-color: var(--career-box-background);
	padding: 60px;
	height: 100%;
}
.color-box-section h4
{
	margin-bottom: 32px;
}
.color-box-section .inner-bottom-section
{
	align-content: center;
}

/* Boxes stacked using the page layout */
.boxes-stacking-gray
{
    padding: 36px;
    background-color: #F5F5F5;
}
.boxes-stacking-gray h4
{
	font-size: 1.2em;
}

/*=========== Accordion Menus ===========*/
.usaceAccordionMenuCollapsed {
    background: url(/Portals/75/Images/usaceimagesprite.png) 0px -37px;
	top: 18px;
}
.usaceAccordionMenuExpanded {
    background-position: 0px -52px;
}
.acAccordionMenu li {
	background-color: #e3e3e3;
    margin-bottom: 7px;
    padding: 4px;
}
.usaceAccordionRootNode
{
    font-family: 'Roboto-Bold';
	padding: 3px;
}
/* Add a class (module settings) to the custom accordion to make blue version */
.blue-accord li {
    background-color: #ffffff;
}
.blue-accord li:hover
{
    background: #5194ed;
}
.blue-accord li:hover span
{
    color: #ffffff;
}
.blue-accord .liHover
{
    background: #5194ed;
}
.blue-accord .liHover span
{
	color: #ffffff;
}
.acAccordionMenu .htmlSection a:link, .acAccordionMenu .htmlSection a:visited
{
   color: var(--career-link-blue);
}
.acAccordionMenu .htmlSection a:hover, .acAccordionMenu .htmlSection a:active
{
   text-decoration: none;
}
/* Show bullets and revert background color for inner content */
.htmlSection li, .htmlSection li:hover 
{
	background: initial;
	list-style: auto
}
.htmlSection ul, .htmlSection ol
{
	margin-left: 36px;
}
.htmlSection
{
	padding: 10px;
}

/* Sections with a background image and overlay text */
.half-image-backgrounds .inner-top-section {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    min-height: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 2em;
    padding: 60px;
}
.half-image-backgrounds h3 {
	color: #ffffff;
	font-size: 1.3em;
	text-shadow: -2px 2px 4px #0a0a0a;
}

/*=========== Header/Footer Navigation ===========*/
.header-nav-section
{
	justify-content: space-between;
	padding-right: 75px;
}
.header-nav-section .leftbox
{
    width: 50%;
}
.header-nav-section .rightbox
{
    width: 50%;
    display: flex;
    flex-direction: row;
    justify-content: right;
}
.wrapper-header-nav-inset
{
	margin-left: 36px;
	margin-right: 36px;
	padding-top: 18px;
	padding-bottom: 36px;
}
.careers-header-subnav .wrapper-main-px
{
	position: relative;
}
.careers-header-subnav
{
	background-color: var(--career-primary-blue);
}
.careers-header-subnav .animate
{
	justify-content: left;
    padding: 10px 0;
}
.careers-header-subnav .wrapper-imagetext-inset
{
	padding-top: 22px;
	padding-bottom: 22px;
}
.ICG_ETH_Title_Career {
    cursor: pointer;
}
/* Move expand/collapse button to right */
.careers-header-subnav .ICG_ETH_Title {
    display: inline-block;
    position: absolute;
    top: 40px;
    right: 35px;
}
/* Add focus to hamburger menu */
/*.careers-header-subnav .ICG_ETH_Title:focus-within {
	outline: 5px auto -webkit-focus-ring-color;
}*/
/* Swap expand/collapse buttons icons and resize */
.SubNavHead img#ICG_ETH_EXPAND_889 {
    content: url("/portals/75/Images/careers/bars-icon.png");
    width: 32px;
    height: 32px;
}
.SubNavHead img#ICG_ETH_COLLAPSE_889 {
    content: url("/portals/75/Images/careers/xclose-icon.png");
    width: 32px;
    height: 32px;
}
.subnav-boxes {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
    min-height: 250px;
}
.subnav-inner-item {
	flex-basis: 25%;
    padding: 15px;
}
.subnav-boxes-text li {
	line-height: 22px;
    padding-bottom: 6px;
    padding-top: 6px;
}
/* Title section in navigations */
.subnav-boxes-text h4 {
    font-family: 'Roboto-Bold', sans-serif;
    font-size: 1.5rem;
	margin-top: 30px;
}
/* Narrow column */
.menu-narrow {
	flex-basis: 17%;
}

.subnav-boxes-text ul {
    list-style: none;
    margin-left: 0px;
	margin-bottom: 0px;
}
.subnav-boxes-text li a:link, .subnav-boxes-text li a:visited, .subnav-boxes-text p a:link, .subnav-boxes-text p a:visited {
    text-decoration: none;
    color: #ffffff;
}
.subnav-boxes-text li a:hover, .subnav-boxes-text li a:active, .subnav-boxes-text p a:hover, .subnav-boxes-text p a:active {
    text-decoration: underline;
    color: #ffffff;
}
ul.subnav-left-border {
    border-left: 1px solid #7f89c3;
    padding-left: 18px;
}
.subnav-boxes-text h5, .subnav-boxes-text h4, .subnav-boxes-text h3, .subnav-boxes-text h2
{
	color: var(--career-nav-headers);
}
.subnav-boxes-text h4 a:link, .subnav-boxes-text h4 a:visited, .subnav-boxes-text h5 a:link, .subnav-boxes-text h5 a:visited {
    text-decoration: none;
    color: var(--career-nav-headers);
}
.subnav-boxes-text h4 a:hover, .subnav-boxes-text h4 a:active, .subnav-boxes-text h5 a:hover, .subnav-boxes-text h5 a:active {
	color: #abd5f5;
}
/*=========== Footer specifics ===========*/
.careers-footer-subnav .wrapper-main-px
{
	max-width: 1700px;
}
.careers-footer-subnav
{
	background-color: var(--career-primary-blue);
}
.careers-footer-subnav .subnav-inner-item {
	flex-basis: 20%;
}
.careers-footer-subnav .wrapper-text-body-inset
{
	padding-top: 36px;
	padding-bottom: 36px;
}
.careers-footer-subnav .animate
{
	justify-content: left;
	padding-bottom: 30px;
}
.careers-footer-subnav .menu-wide
{
	flex-basis: 38%;
}
.subnav-footer-social
{
	margin: 0;
}
.subnav-footer-social ul
{
	justify-content: normal;
    width: 80%;
}
.subnav-footer-social li
{
	margin: 5px;
	padding: 0;
}
/* Change color of font awesome icons in sub-footer */
.subnav-footer-social i
{ 
	color: #0f1f5a;
}
.subnav-footer-social ul a:link, .subnav-footer-social ul a:visited
{
	background-color: #ffffff;
	text-decoration: none;
}
.subnav-footer-social ul a:hover, .subnav-footer-social ul a:active
{
	background-color: #72c4ff;
	text-decoration: none;
}

/* Forms */
.df_Marines .label {
    font-family: Roboto-Bold, sans-serif !important;
}

/*=========== Return to top button ===========*/

@supports (animation-timeline: scroll())
{
	.animation-fade	{
		visibility: hidden;
		animation: fade-in linear;
		animation-timeline: scroll();
	}
}

.return-top-link
{
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: rgba(9,9,9,0.50);
	width: 50px;
	height: 50px;
	border-radius: 50%;
	text-decoration: none !important;
	position: fixed;
	bottom: 25px;
	right: 25px;
	z-index: 1111;
}
.return-top-link i
{
	color: #ffffff;
}
.return-top-link:hover
{
	background-color: rgba(9,9,9,1);
}

@keyframes fade-in
{
	25%{
		visibility: hidden;
		opacity: 0;
	}
	25.5%{
		visibility: visible;
		opacity: 1;
	}
	100%{
		visibility: visible;
		opacity: 1;
	}
}

/*=========================
   Media Break Points
=========================*/
@media (max-width: 767px){
	/* Limit to 75% width on mobile */
	.half-section .leftbox-medium, .half-section .leftbox-medium
	{
		width: 75%;
	}
	/* Decrease font size on main landing page banner */
	.banner-cont-right
	{
		font-size: .8em;
	}
}
@media (max-width: 800px){
	/* Head and Footer display in single column for mobile */
	.subnav-boxes {
    	flex-direction: column;
	}
	.careers-contains-icons .inner-item {
		flex-basis: 100%;
		margin-top: 18px;
        margin-bottom: 18px;
	}
}
@media (max-width: 1000px){
	.banner-cont-right .rightbox {
		background-color: rgba(15, 31, 90, .9);
		padding: 36px;
	}
	.sect-overlaps .leftbox {
		margin: 0px auto;
	}
	/* Head and Footer display in two columns */
	.careers-footer-subnav .subnav-inner-item, .subnav-inner-item {
		flex-basis: 50%;
	}
}
@media (max-width: 1200px){

}
